<script>
    import Item from "./Item.svelte";
    import { cartStore } from "./stores.js";
    import cartIcon from "../assets/svg/cart-icon.svg";
    export let tshirts;
    let cartDialog;
    // let orders = [];

    function dialogOpen() {
        cartDialog.setAttribute("open", "");
    }
    function dialogClose() {
        cartDialog.removeAttribute("open");
    }
</script>

<style>
    :global(*) {
        font-family: 'Courier New', Courier, monospace;
    }
    :global(body) {
        background-color: thistle;
    }

    header {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    header>h3 {
        flex: 5;
    }

    header>div {
        flex: 1;
    }

    td {
        text-align: center;
        padding: 1em;
        white-space: nowrap;
    }

    span>p {
        text-align: center;
    }
</style>

<header>
    <h3>Mr Bear's Shop</h3>
    <div on:click={dialogOpen}>{@html cartIcon}</div>
</header>

{#each tshirts as tshirt}
    <Item details={tshirt}/>
{/each}

<dialog id="cartDialog" bind:this={cartDialog}>
    {#if $cartStore.length == 0 }
        <span><p>Your cart is empty :(</p></span>
    {:else}
        <table>
            <thead>
                <tr>
                    <th scope="row">Quantity</th>
                    <th scope="row">Item</th>
                    <th scope="row">Size</th>
                    <th scope="row">Price</th>
                </tr>
            </thead>
            <tbody>
                {#each $cartStore as order}
                    <tr>
                        <td>{order.quantity}</td>
                        <td>{order.friendlyName}</td>
                        <td>{order.size}</td>
                        <td>{order.priceUSD}</td>
                    </tr>
                {/each}
            </tbody>
        </table>
        <button id="submit-order" value="submit">Submit order</button>
    {/if}
    <button id="continue-shopping" on:click={dialogClose}>Continue shopping</button>
</dialog>

<button on:click={dialogOpen}>Go to cart</button>
